> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Package Remaining Values

> Per-SoldPackage accrual-basis remaining values for every ACTIVE package
bought on this payment. Drives the 'Refund remaining package value' option
in the refund modal.



## OpenAPI

````yaml get /billing/payment/{payment_id}/package-remaining-values
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/payment/{payment_id}/package-remaining-values:
    get:
      tags:
        - Payments
      summary: Get Package Remaining Values
      description: >-
        Per-SoldPackage accrual-basis remaining values for every ACTIVE package

        bought on this payment. Drives the 'Refund remaining package value'
        option

        in the refund modal.
      operationId: >-
        get_package_remaining_values_billing_payment__payment_id__package_remaining_values_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: payment_id
          in: path
          required: true
          schema:
            type: string
            title: Payment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PackageRemainingValue'
                title: >-
                  Response Get Package Remaining Values Billing Payment  Payment
                  Id  Package Remaining Values Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PackageRemainingValue:
      properties:
        soldPackageId:
          type: string
          title: Soldpackageid
        packageId:
          type: string
          title: Packageid
        packageName:
          anyOf:
            - type: string
            - type: 'null'
          title: Packagename
        status:
          type: string
          title: Status
        originalPaid:
          type: integer
          title: Originalpaid
        remainingValue:
          type: integer
          title: Remainingvalue
      type: object
      required:
        - soldPackageId
        - packageId
        - status
        - originalPaid
        - remainingValue
      title: PackageRemainingValue
      description: Per-SoldPackage accrual-basis remaining value for the refund modal.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````